gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.MenuComboToolbar.SeparatorToolItem

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A toolbar item that separates groups of other toolbar items

- Module available since Gtk+ version 2.4

Synopsis

- data SeparatorToolItem
- class ToolItemClass o => SeparatorToolItemClass o
- castToSeparatorToolItem :: GObjectClass obj => obj -> SeparatorToolItem
- gTypeSeparatorToolItem :: GType
- toSeparatorToolItem :: SeparatorToolItemClass o => o -> SeparatorToolItem
- separatorToolItemNew :: IO SeparatorToolItem
- separatorToolItemSetDraw :: SeparatorToolItemClass self => self -> Bool -> IO ()
- separatorToolItemGetDraw :: SeparatorToolItemClass self => self -> IO Bool
- separatorToolItemDraw :: SeparatorToolItemClass self => Attr self Bool

# Detail

A `SeparatorToolItem` is a `ToolItem` that separates groups of other `ToolItem`s. Depending on the theme, a `SeparatorToolItem` will often look like a vertical line on horizontally docked toolbars.

If the property "expand" is `True` and the property "draw" is `False`, a `SeparatorToolItem` will act as a "spring" that forces other items to the ends of the toolbar.

Use `separatorToolItemNew` to create a new `SeparatorToolItem`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----ToolItem
    | +----SeparatorToolItem

# Types

data SeparatorToolItem Source #

#### Instances

Instances details

Eq SeparatorToolItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: SeparatorToolItem -> SeparatorToolItem -> Bool Source # (/=) :: SeparatorToolItem -> SeparatorToolItem -> Bool Source #
Ord SeparatorToolItem Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: SeparatorToolItem -> SeparatorToolItem -> Ordering Source #

(<) :: SeparatorToolItem -> SeparatorToolItem -> Bool Source #

(<=) :: SeparatorToolItem -> SeparatorToolItem -> Bool Source #

(>) :: SeparatorToolItem -> SeparatorToolItem -> Bool Source #

(>=) :: SeparatorToolItem -> SeparatorToolItem -> Bool Source #

max :: SeparatorToolItem -> SeparatorToolItem -> SeparatorToolItem Source #

min :: SeparatorToolItem -> SeparatorToolItem -> SeparatorToolItem Source #

GObjectClass SeparatorToolItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: SeparatorToolItem -> GObject Source # unsafeCastGObject :: GObject -> SeparatorToolItem Source #
BinClass SeparatorToolItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass SeparatorToolItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
SeparatorToolItemClass SeparatorToolItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ToolItemClass SeparatorToolItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass SeparatorToolItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ToolItemClass o => SeparatorToolItemClass o Source #

#### Instances

Instances details

SeparatorToolItemClass SeparatorToolItem Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToSeparatorToolItem :: GObjectClass obj => obj -> SeparatorToolItem Source #

gTypeSeparatorToolItem :: GType Source #

toSeparatorToolItem :: SeparatorToolItemClass o => o -> SeparatorToolItem Source #

# Constructors

separatorToolItemNew :: IO SeparatorToolItem Source #

Create a new `SeparatorToolItem`

# Methods

separatorToolItemSetDraw :: SeparatorToolItemClass self => self -> Bool -> IO () Source #

Whether the separator tool item is drawn as a vertical line, or just blank. Setting this `False` along with `toolItemSetExpand` is useful to create an item that forces following items to the end of the toolbar.

separatorToolItemGetDraw :: SeparatorToolItemClass self => self -> IO Bool Source #

Returns whether the separator tool item is drawn as a line, or just blank. See `separatorToolItemSetDraw`.

# Attributes

separatorToolItemDraw :: SeparatorToolItemClass self => Attr self Bool Source #

Whether the separator is drawn, or just blank.

Default value: `True`